WP Super Cache 1.4.9 corrige múltiples vulnerabilidades XSS

Traducido del artículo: “WP Super Cache 1.4.9 Patches Multiple XSS Vulnerabilities” de:

Jeff Chandler, febrero 7 de 2017

WP Super Cache es un plugin de casi 10 años que es mantenido por Donncha Ó Caoimh y está instalado activamente en más de un millón de sitios. Los lanzamientos han sido pocos y pocas las actualizaciones, pero Ó Caoimh ha lanzado WP Super Cache 1.4.9 que corrige las vulnerabilidades de cross-site-scripting (es un tipo de inseguridad informática o agujero de seguridad típico de las aplicaciones Web, que permite a una tercera persona inyectar en páginas web visitadas por el usuario código JavaScript o en otro lenguaje similar (ej: VBScript), evitando medidas de control)  en la página de configuración.
“Esas páginas sólo son accesibles por los usuarios de administración por lo que un visitante anónimo a su sitio no puede acceder y robar sus cookies de inicio de sesión, pero junto con esas correcciones vienen muchas correcciones de errores por lo que vale la pena actualizar si está usando una versión antigua ” dijo Ó Caoimh.
Además de solucionar las vulnerabilidades de seguridad, esta versión también contiene una serie de correcciones de errores. También hay una solución en esta versión para aquellos que alojan una gran cantidad de sitios que utilizan WP Super Cache y se están ejecutando con “semáforos” debido a la posibilidad de que los usuarios utilicen el bloqueo de archivos.
Si está teniendo este problema y necesita desactivar el bloqueo de archivos por completo, Ó Caoimh sugiere establecer la constante WPSC_DISABLE_LOCKING en un archivo de configuración global. “El bloqueo de archivos simplemente frenó la rapidez con que se crearon los archivos de caché y es una retención de WP Cache cuando ese complemento se usaba para escribir directamente en los archivos de caché”, dijo Ó Caoimh.
“Este complemento escribe en archivos temporales antes de pasar a los archivos de caché final de modo que el bloqueo no es realmente necesario, pero algunos sitios aún lo utilizan, por lo que todavía existe”.
Ó Caoimh ya está trabajando duro en la próxima versión de WP Super Cache en un esfuerzo para mover archivos de caché de legado en directorios de supercache. Esto mejorará el rendimiento y facilitará el mantenimiento de los archivos.
Se recomienda que los usuarios se actualicen al 1.4.9 tan pronto como sea posible. Para ver una lista detallada de cambios y correcciones de errores, visite el change log (registro de cambios) del complemento.

Quién es Jeff Chandler

Jeff Chandler es un joven de WordPress forma parte del equipo deportivo estatal. Escritor colaborador de WPTavern. Ha escrito acerca de WordPress desde 2007. Anfitrión del Podcast semanal WordPress.

Author Description

Mario Barcelo

Mario Barcelo

Docente de Computación en Enseñanza Especial. Traductor retirado.